| Extracted from Pike v7.8 release 866 at 2018-07-18.

[Top]
ADT
ADT.History

Methods
_indices()
_sizeof()
_values()
`[]()
`[]=()
create()
flush()
get_first_entry_num()
get_latest_entry_num()
get_maxsize()
push()
query_no_adjacent_duplicates()
set_maxsize()
set_no_adjacent_duplicates()

ADT.History()->get_maxsize() | ADT.History()->query_no_adjacent_duplicates()

# Method ADT.History()->push()

Method push

  `void push(mixed value)`

Description

  Push a new value into the history.